<?php

namespace UnicaenCode\Form;

class Controller extends AbstractForm
{
    public function init()
    {
        $this->addText(
            'class', 'Nom de classe du contrôleur', 'Application\Controller\ExempleController'
        );

        $this->addText(
            'route', 'Route par laquelle y accéder depuis une URL (en minus-cules ou snake_case)', 'exemple-de-controlleur'
        );

        $this->addCheckbox(
            'factory', 'Générer une factory', true
        );

        $this->addCheckbox(
            'subDir', 'Les traits, interfaces et Factory seront placés dans des sous-dossiers dédiés', false
        );
    }



    public function getParams(): array
    {
        $params = [
            'generator'        => 'Controller',
            'class'            => $this->get('class')->getValue(),
            'subDir'           => $this->get('subDir')->getValue(),
            'controllerConfig' => [
                'route' => $this->get('route')->getValue(),
            ],
        ];
        if ($this->get('factory')->getValue()) {
            $params['factory'] = [];
        }

        return $params;
    }
}