<?php

namespace UnicaenCode\Form;

class ViewHelper extends AbstractForm
{
    public function init()
    {
        $this->addText(
            'class', 'Nom de classe de l\'aide de vue', 'Application\View\Helper\ExempleViewHelper'
        );

        $this->addText(
            'name', 'Nom pour le ServiceLocator (en lowerCamelCase)', 'exemple'
        );

        $this->addCheckbox(
            'factory', 'Générer une factory', true
        );

        $this->addCheckbox(
            'subDir', 'Les traits, interfaces et Factory seront placés dans des sous-dossiers dédiés', false
        );
    }



    public function getParams(): array
    {
        $params = [
            'generator' => 'ViewHelper',
            'class'     => $this->get('class')->getValue(),
            'name'      => $this->get('name')->getValue(),
            'subDir'    => $this->get('subDir')->getValue(),
        ];
        if ($this->get('factory')->getValue()) {
            $params['factory'] = [];
        }

        return $params;
    }
}